Bug 245258 - [NEW PORT] multimedia/kodi-addon-game.libretro.beetle-psx-devel: Kodi game addon for Sony - PlayStation (Beetle PSX)
Summary: [NEW PORT] multimedia/kodi-addon-game.libretro.beetle-psx-devel: Kodi game ad...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bernhard Froehlich
URL:
Keywords:
Depends on: 245259
Blocks:
  Show dependency treegraph
 
Reported: 2020-04-02 00:34 UTC by rozhuk.im
Modified: 2021-02-28 18:47 UTC (History)
3 users (show)

See Also:


Attachments
patch (4.39 KB, patch)
2020-04-02 00:34 UTC, rozhuk.im
no flags Details | Diff
patch (4.90 KB, patch)
2020-04-02 23:11 UTC, rozhuk.im
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rozhuk.im 2020-04-02 00:34:01 UTC
Created attachment 212957 [details]
patch

Beetle PSX is a port/fork of Mednafen's PSX module to the libretro API.
It can be compiled in C++98 mode, excluding the Vulkan renderer, which
is written in C++11 for the time being. Beetle PSX currently runs on
Linux, OSX and Windows.

Notable additions in this fork are:
- PBP and CHD file format support, developed by Zapeth;
- Software renderer internal resolution upscaling, implemented by simias;
- An OpenGL 3.3 renderer, developed by simias;
- A Vulkan renderer, developed by TinyTiger;
- PGXP perspective correct texturing and subpixel precision, developed by iCatButler;


This port is for multimedia/kodi-devel only.

WWW: https://github.com/libretro/beetle-psx-libretro
Comment 1 daniel.engberg.lists 2020-04-02 21:30:03 UTC
Don't override CMAKE_BUILD_TYPE
https://svnweb.freebsd.org/ports/head/Mk/Uses/cmake.mk?revision=488341&view=markup#l32
Is gmake needed?
How is portversion determined?
Comment 2 rozhuk.im 2020-04-02 23:03:21 UTC
Port version from here: https://github.com/kodi-game/game.libretro.beetle-psx/releases

gmake is required to build: https://github.com/libretro/beetle-psx-libretro
(there is two build systems used in same time: cmake for kodi addon and gmake for lib)
Comment 3 rozhuk.im 2020-04-02 23:11:28 UTC
Created attachment 212995 [details]
patch
Comment 4 Bernhard Froehlich freebsd_committer 2021-01-21 08:37:10 UTC
I'll take it.
Comment 5 Bernhard Froehlich freebsd_committer 2021-02-28 18:46:23 UTC
Committed. Thanks!
Comment 6 commit-hook freebsd_committer 2021-02-28 18:47:12 UTC
A commit references this bug:

Author: decke
Date: Sun Feb 28 18:46:12 UTC 2021
New revision: 566789
URL: https://svnweb.freebsd.org/changeset/ports/566789

Log:
  Beetle PSX is a port/fork of Mednafen's PSX module to the libretro API.
  It can be compiled in C++98 mode, excluding the Vulkan renderer, which
  is written in C++11 for the time being. Beetle PSX currently runs on
  Linux, OSX and Windows.

  WWW: https://github.com/libretro/beetle-psx-libretro

  PR:		245258
  Submitted by:	rozhuk.im@gmail.com

Changes:
  head/games/Makefile
  head/games/kodi-addon-game.libretro.beetle-psx/
  head/games/kodi-addon-game.libretro.beetle-psx/Makefile
  head/games/kodi-addon-game.libretro.beetle-psx/distinfo
  head/games/kodi-addon-game.libretro.beetle-psx/pkg-descr
  head/games/kodi-addon-game.libretro.beetle-psx/pkg-message